Kerbal Space Program - Bug #13176

1.2.1 Shadow cut off bug/LOD/FOV issue.
11/02/2016 10:34 PM - Mjorjim

Status: Closed Start date: 11/02/2016
Severity: Normal % Done: 100%
Assignee:

Category: Camera

Target version: 1.4.1

Version: 1.21 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

This is visible in a stock install. After the 1.2.1 patch it seems there is an ugly shadow cut off issue that may be caused by the FOV
changes.
here is a video to show what | mean.

https://www.youtube.com/watch?v=0nTThidFIVU

Related issues:
Related to Kerbal Space Program - Bug #15193: 1.2.2/1.2.9 Visible fog curtain... Duplicate 05/10/2017

History

#1 - 11/02/2016 11:42 PM - Nebbie
- Status changed from New to Confirmed

- % Done changed from 0 to 10

This isn't new to 1.2.1, I've seen this a lot in 1.2 when moving the camera around the KSC. It's really noticible with a fully upgraded R&D lab, the
shadows on all the buildings change length as you rotate at morning.

Happening on Linux too btw.

#2 - 03/14/2018 11:08 PM - Squelch

- Related to Bug #15193: 1.2.2/1.2.9 Visible fog curtain and shadow discontinuities in KSC or when landing (GTX 1070, Win 10, D3D9, D3D11,
GLCore) added

#3 - 03/14/2018 11:09 PM - Squelch

- Status changed from Confirmed to Ready to Test
- Target version set to 1.4.1

- % Done changed from 10 to 80

- Expansion Core Game added

Improvements have been made to the shadow rendering at KSC.

#4 - 01/25/2019 03:59 PM - samuel823823
#5 - 07/24/2019 11:45 PM - chris.fulton
- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

#6 - 07/24/2019 11:45 PM - chris.fulton

- Status changed from Resolved to Closed
